<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.rhzf.gzyj.mapper.RhzfGzyjMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rhzfGzyjResultMap" type="org.springblade.modules.rhzf.gzyj.pojo.entity.RhzfGzyjEntity">
        <result column="fw_id" property="fwId"/>
        <result column="dzbm" property="dzbm"/>
        <result column="gzyj" property="gzyj"/>
    </resultMap>

    <select id="selectRhzfGzyjPage" resultMap="rhzfGzyjResultMap">
        select * from rhzf_gzyj where is_deleted = 0
    </select>

    <select id="exportRhzfGzyj" resultType="org.springblade.modules.rhzf.gzyj.excel.RhzfGzyjExcel">
        SELECT * FROM rhzf_gzyj ${ew.customSqlSegment}
    </select>

    <select id="getByDzbm" resultType="org.springblade.modules.rhzf.gzyj.pojo.entity.RhzfGzyjEntity">
        SELECT * FROM jdrh.rhzf_gzyj WHERE is_deleted = 0 AND dzbm = #{params.dzbm} ORDER BY update_time DESC
    </select>
</mapper>
